﻿  // Ten kod ActionScript 2.0 powinien zostać umieszczony w zewnętrznym pliku
  // CreateButton.as.
class CreateButton {
    // Zmienna target jest listwą czasową, na której
    // instancja klasy CreateButton utworzy przyciski.
	private var target:MovieClip;

	// Konstruktor.
	public function CreateButton(targetTimeline:MovieClip) {
		target = targetTimeline;
	}
    // Zdefiniuj metodę createBtn().
    // Argumenty:
    // buttonName – nazwa instancji tworzonego przycisku;
    // dynaLabel  – etykieta tekstowa tworzonego przycisku;
    // depth      – poziom, na którym zostanie utworzony przycisk
    // x, y – położenie przycisku.
    // Zwraca: klip filmowy przycisku o nazwie instancji buttonName.
	public function createBtn(buttonName:String, dynaLabel:String, depth:Number, x:Number, y:Number):MovieClip {
		// Inicjowanie zmiennych.
		var clip:MovieClip;
		var clipMask:MovieClip;
		var txt_fmt:TextFormat;
		var clipText:TextField;
		// Utwórz klip przycisku.
		clip = target.createEmptyMovieClip(buttonName, depth);
		drawPip(clip);
		clip._x = x;
		clip._y = y;
		// Utwórz aktywny obszar przycisku.
		clipMask = clip.createEmptyMovieClip("mask", 0);
		clipMask._visible = false;
		drawPip(clipMask);
		clip.hitArea = clipMask;
		// Utwórz obiekt TextFormat, aby zastosować formatowanie.
		txt_fmt = new TextFormat();
		txt_fmt.font = "_sans";
		txt_fmt.size = 12;
		// Utwórz textField (czyli etykietę przycisku).
		clip.createTextField(buttonName+"_txt", 1, 10, -10, 100, 20);
		clipText = clip[buttonName+"_txt"];
		clipText.text = dynaLabel;
		clipText.setTextFormat(txt_fmt);
		return clip;
	}
	private function drawPip(clip):Void {
		clip.lineStyle(15, 0x0, 100);
		clip.moveTo(0, 0);
		clip.lineTo(0.2, 0);
	}
}
